<div>
  <p-toast [style]="{marginTop: '80px'}" position="top-right" key="remove-toast"></p-toast>
  
  <p-toast position="center" key="removeConfirm" (onClose)="onRemoveReject()" [modal]="true" [baseZIndex]="5000">
    <ng-template let-message pTemplate="message" let-data>
        <div style="text-align: center">
            <i class="pi pi-exclamation-triangle" style="font-size: 3em"></i>
            <h3>{{message.summary}}</h3>
            <p>{{message.detail}}</p>
        </div>
        <div class="ui-g ui-fluid">
            <div class="ui-g-6">
                <button type="button" pButton (click)="onRemoveConfirm(data)" label="Sim" class="ui-button-success"></button>
            </div>
            <div class="ui-g-6">
                <button type="button" pButton (click)="onRemoveReject()" label="Não" class="ui-button-secondary"></button>
            </div>
        </div>
    </ng-template>
  </p-toast>
  
    <div class="ui-g-12 ui-md-12 ui-lg-12 ui-xl-12">
      <p-card>
      <p-header class="header-card-form">
        <div class="ui-helper-clearfix title-card-header">
          <span class="ui-panel-title">Tipos de usuários</span>
        </div>
      </p-header>
        <div style="text-align:left">
            <button id="add-button" type="button" pButton icon="pi pi-plus" (click)="onAdd()" label="Adicionar"></button>
        </div>
        <p-table [columns]="columns" [value]="tipoUsuarios" [lazy]="true" [scrollable]="true" dataKey="id" [rows]="10" [paginator]="true" [pageLinks]="3"
        [responsive]="true">
          <ng-template pTemplate="header" let-columns>
            <tr>
              <th *ngFor="let col of columns">
                {{col.header}}
              </th>
            </tr>
          </ng-template>
          <ng-template pTemplate="body" let-tipoUsuario let-columns="columns">
            <tr [pSelectableRow]="rowData">
              <td>
                <span class="ui-column-title">Descricao:</span>
                {{tipoUsuario.nome}}
              </td>
              <td>
                  <span class="ui-column-title"></span>
                  <p-button icon="pi pi-pencil" styleClass="ui-button-warning action-icon" (click)="editItem(tipoUsuario)"></p-button>
                  <p-button icon="pi pi-trash" styleClass="ui-button-danger action-icon" (click)="onRemove(tipoUsuario)"></p-button>
              </td>
            </tr>
          </ng-template>
          <ng-template pTemplate="summary" *ngIf="tipoUsuarios?.length !== 0">
            Total {{tipoUsuarios?.length}} tipos de usuários
          </ng-template>
        </p-table>
      </p-card>
    </div>
  </div>
  